dp14rxss: Dprxss_v5_0

| dp14rxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions
Dprxss_v5_0

## Macros
#define | XDPRXSS_MCDP6000_IIC_SLAVE 0x14
| MCDP6000 slave device. More...

## Functions
u32 | XDpRxSs_CfgInitialize (XDpRxSs *InstancePtr, XDpRxSs_Config *CfgPtr, UINTPTR EffectiveAddr)
| This function initializes the DisplayPort Receiver Subsystem core. More...
void | XDpRxSs_Reset (XDpRxSs *InstancePtr)
| This function resets the DisplayPort Receiver Subsystem including all sub-cores. More...
u32 | XDpRxSs_Start (XDpRxSs *InstancePtr)
| This function starts the DisplayPort Receiver Subsystem including all sub-cores. More...
u32 | XDpRxSs_SetLinkRate (XDpRxSs *InstancePtr, u8 LinkRate)
| This function sets the data rate to be used by the DisplayPort RX Subsystem core. More...
u32 | XDpRxSs_SetLaneCount (XDpRxSs *InstancePtr, u8 LaneCount)
| This function sets the number of lanes to be used by DisplayPort RX Subsystem core. More...
u32 | XDpRxSs_ExposePort (XDpRxSs *InstancePtr, u8 Port)
| This function allows the user to select number of ports to be exposed when replying to a LINK_ADDRESS sideband message and hides rest of the ports. More...
u32 | XDpRxSs_CheckLinkStatus (XDpRxSs *InstancePtr)
| This function checks if the receiver's DisplayPort Configuration Data (DPCD) indicates that the receiver has achieved clock recovery, channel equalization, symbol lock, and interlane alignment for all lanes currently in use. More...
void | XDpRxSs_SetUserPixelWidth (XDpRxSs *InstancePtr, u8 UserPixelWidth)
| This function configures the number of pixels output through the user data interface. More...
u32 | XDpRxSs_HandleDownReq (XDpRxSs *InstancePtr)
| This function handles incoming sideband messages. More...
void | XDpRxSs_McDp6000_init (void *InstancePtr, u32 I2CAddress)
| This routine initializes the MCDP6000 part on the VFMC card used for DP 1.4. More...
u32 | XDpRxSs_MCDP6000_GetRegister (u32 I2CBaseAddress, u8 I2CSlaveAddress, u16 RegisterAddress)
| This function reads a single 32b word from the MCDP6000 device. More...
int | XDpRxSs_MCDP6000_SetRegister (u32 I2CBaseAddress, u8 I2CSlaveAddress, u16 RegisterAddress, u32 Value)
| This function writes a single 32b word to the MCDP6000 device. More...
int | XDpRxSs_MCDP6000_ModifyRegister (u32 I2CBaseAddress, u8 I2CSlaveAddress, u16 RegisterAddress, u32 Value, u32 Mask)
| This function modifies a single 32b word from the MCDP6000 device. More...
int | XDpRxSs_MCDP6000_DpInit (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function initializes the MCDP6000 device with default values for DP use with the Video FMC. More...
int | XDpRxSs_MCDP6000_IbertInit (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function initializes the MCDP6000 device with default values for IBERT use with the Video FMC. More...
int | XDpRxSs_MCDP6000_ResetDpPath (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function requests a reset of the DP path of the MCDP6000 device. More...
int | XDpRxSs_MCDP6000_EnablePrbs7_Tx (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function enables the PRBS7 output of the MCDP6000 device. More...
int | XDpRxSs_MCDP6000_EnablePrbs7_Rx (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function enables the PRBS7 counter mode in MC Rx path Used in DP PHY compliance mode. More...
int | XDpRxSs_MCDP6000_DisablePrbs7_Rx (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function Disables the PRBS7 counter mode in MC Rx path Used in DP PHY compliance mode. More...
int | XDpRxSs_MCDP6000_EnableCounter (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function enables symbol counter. More...
int | XDpRxSs_MCDP6000_ClearCounter (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function clears symbol counter. More...
int | XDpRxSs_MCDP6000_Read_ErrorCounters (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function reads error counters for all lanes. More...
void | XDpRxSs_MCDP6000_RegisterDump (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function displays a registerdump of the MCDP6000 device. More...
int | XDpRxSs_MCDP6000_TransparentMode (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function sets the transparent mode of the MCDP6000 device. More...
int | XDpRxSs_MCDP6000_BWchange (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function changes the bandwidth of the MCDP6000 device. More...
int | XDpRxSs_MCDP6000_AccessLaneSet (u32 I2CBaseAddress, u8 I2CSlaveAddress)
| This function sets the access lane register of the MCDP6000 device. More...

## Macro Definition Documentation

#define XDPRXSS_MCDP6000_IIC_SLAVE 0x14

MCDP6000 slave device.

Referenced by XDpRxSs_McDp6000_init().

## Function Documentation

u32 XDpRxSs_CfgInitialize | ( | XDpRxSs * | InstancePtr,
|  | XDpRxSs_Config * | CfgPtr,
|  | UINTPTR | EffectiveAddr
| ) |  |

This function initializes the DisplayPort Receiver Subsystem core.

This function must be called prior to using the core. Initialization of the core includes setting up the instance data and ensuring the hardware is in a quiescent state.

Parameters

  InstancePtr | is a pointer to the XDpRxSs core instance.
  CfgPtr | points to the configuration structure associated with the DisplayPort RX Subsystem core.
  EffectiveAddr | is the base address of the device. If address translation is being used, then this parameter must reflect the virtual base address. Otherwise, the physical address should be used.

Returns
  - XST_DEVICE_NOT_FOUND if sub-core not found.
  - XST_FAILURE if sub-core initialization failed.
  - XST_SUCCESS if XDpRxSs_CfgInitialize successful.

Note
  None.

References XDpRxSs_Config::BaseAddress, XDpRxSs_UsrOpt::Bpc, XDpRxSs::Config, XDpRxSs_Config::DeviceId, XDpRxSs_DpSubCore::DpConfig, XDpRxSs::DpPtr, XDpRxSs_Config::DpSubCore, XDpRxSs_Config::Hdcp22Enable, XDpRxSs_Config::HdcpEnable, XDpRxSs_IicSubCore::IicConfig, XDpRxSs::IicPtr, XDpRxSs_Config::IicSubCore, XDpRxSs::IsReady, XDpRxSs_UsrOpt::LaneCount, XDpRxSs_UsrOpt::LinkRate, XDpRxSs_Config::MaxBpc, XDpRxSs_Config::MaxLaneCount, XDpRxSs_UsrOpt::MstSupport, XDpRxSs_Config::MstSupport, XDpRxSs_Config::NumMstStreams, XDpRxSs_UsrOpt::NumOfStreams, XDpRxSs::UsrOpt, XDPRXSS_DRV_HANDLER_DP_NO_VID_EVENT, XDPRXSS_DRV_HANDLER_DP_PWR_CHG_EVENT, XDPRXSS_DRV_HANDLER_DP_VID_EVENT, XDpRxSs_DrvNoVideoHandler(), XDpRxSs_DrvPowerChangeHandler(), XDpRxSs_DrvVideoHandler(), XDPRXSS_HDCP_14, XDPRXSS_HDCP_22, XDpRxSs_SetCallBack(), and XDPRXSS_TMRCTR_RST_VAL.

Referenced by DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), DpRxSs_MstExample(), and DpRxSs_SelfTestExample().

u32 XDpRxSs_CheckLinkStatus | ( | XDpRxSs * | InstancePtr | ) |

This function checks if the receiver's DisplayPort Configuration Data (DPCD) indicates that the receiver has achieved clock recovery, channel equalization, symbol lock, and interlane alignment for all lanes currently in use.

Parameters

  InstancePtr | is a pointer to the XDpRxSs core instance.

Returns
  - XST_SUCCESS if the RX device has achieved clock recovery, channel equalization, symbol lock, and interlane alignment.
  - XST_DEVICE_NOT_FOUND if no RX device is connected.
  - XST_FAILURE otherwise.

Note
  None.

References XDpRxSs::DpPtr.

u32 XDpRxSs_ExposePort | ( | XDpRxSs * | InstancePtr,
|  | u8 | Port
| ) |  |

This function allows the user to select number of ports to be exposed when replying to a LINK_ADDRESS sideband message and hides rest of the ports.

Parameters

  InstancePtr | is a pointer to the XDpRxSs core instance.
  Port | specifies the number of ports to be exposed within the range 1 to 4.

Returns
  - XST_SUCCESS, if ports exposed successfully.
  - XST_FAILURE, if exposing ports which are already exposed or ports are exceeding total number of stream supported by the system.

Note
  Number of ports are equal to number of streams.

References XDpRxSs::Config, XDpRxSs::DpPtr, XDpRxSs_UsrOpt::MstSupport, XDpRxSs_Config::NumMstStreams, XDpRxSs_UsrOpt::NumOfStreams, and XDpRxSs::UsrOpt.

u32 XDpRxSs_HandleDownReq | ( | XDpRxSs * | InstancePtr | ) |

This function handles incoming sideband messages.

It will 1) Read the contents of the down request registers, 2) Delegate control depending on the request type, and 3) Send a down reply.

Parameters

  InstancePtr | is a pointer to the XDpRxSs core instance.

Returns
  - XST_SUCCESS if the entire message was sent successfully.
  - XST_DEVICE_NOT_FOUND if no device is connected.
  - XST_ERROR_COUNT_MAX if sending one of the message fragments timed out.
  - XST_FAILURE otherwise.

Note
  None.

References XDpRxSs::DpPtr.

Referenced by DpRxSs_DownReqestHandler().

int XDpRxSs_MCDP6000_AccessLaneSet | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function sets the access lane register of the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS access lane set successful.
  - XST_FAILURE setting access lane failed.

Note
  None.

References XDpRxSs_MCDP6000_SetRegister().

int XDpRxSs_MCDP6000_BWchange | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function changes the bandwidth of the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS BW change successful.
  - XST_FAILURE BW change failed.

Note
  None.

References XDpRxSs_MCDP6000_ModifyRegister().

int XDpRxSs_MCDP6000_ClearCounter | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function clears symbol counter.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Enable request was successful.
  - XST_FAILURE I2C error.

Note
  None.

References XDpRxSs_MCDP6000_GetRegister(), and XDpRxSs_MCDP6000_SetRegister().

Referenced by DpRxSs_AccessLinkQualHandler().

int XDpRxSs_MCDP6000_DisablePrbs7_Rx | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function Disables the PRBS7 counter mode in MC Rx path Used in DP PHY compliance mode.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Enable request was successful.
  - XST_FAILURE I2C error.

Note
  None.

References XDpRxSs_MCDP6000_GetRegister(), and XDpRxSs_MCDP6000_SetRegister().

Referenced by DpRxSs_AccessLinkQualHandler().

int XDpRxSs_MCDP6000_DpInit | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function initializes the MCDP6000 device with default values for DP use with the Video FMC.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

References XDpRxSs_MCDP6000_GetRegister(), and XDpRxSs_MCDP6000_SetRegister().

Referenced by XDpRxSs_McDp6000_init().

int XDpRxSs_MCDP6000_EnableCounter | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function enables symbol counter.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Enable request was successful.
  - XST_FAILURE I2C error.

Note
  None.

References XDpRxSs_MCDP6000_GetRegister(), and XDpRxSs_MCDP6000_SetRegister().

int XDpRxSs_MCDP6000_EnablePrbs7_Rx | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function enables the PRBS7 counter mode in MC Rx path Used in DP PHY compliance mode.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Enable request was successful.
  - XST_FAILURE I2C error.

Note
  None.

References XDpRxSs_MCDP6000_GetRegister(), and XDpRxSs_MCDP6000_SetRegister().

Referenced by DpRxSs_AccessLinkQualHandler().

int XDpRxSs_MCDP6000_EnablePrbs7_Tx | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function enables the PRBS7 output of the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Enable request was successful.
  - XST_FAILURE I2C error.

Note
  None.

References XDpRxSs_MCDP6000_SetRegister().

u32 XDpRxSs_MCDP6000_GetRegister | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress,
|  | u16 | RegisterAddress
| ) |  |

This function reads a single 32b word from the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  RegisterAddress | is the 16-bit register address.

Returns
  - The read 32b data.

Note
  None.

Referenced by DpRxSs_AccessErrorCounterHandler(), XDpRxSs_MCDP6000_ClearCounter(), XDpRxSs_MCDP6000_DisablePrbs7_Rx(), XDpRxSs_MCDP6000_DpInit(), XDpRxSs_MCDP6000_EnableCounter(), XDpRxSs_MCDP6000_EnablePrbs7_Rx(), XDpRxSs_MCDP6000_ModifyRegister(), XDpRxSs_MCDP6000_Read_ErrorCounters(), and XDpRxSs_MCDP6000_RegisterDump().

int XDpRxSs_MCDP6000_IbertInit | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function initializes the MCDP6000 device with default values for IBERT use with the Video FMC.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

References XDpRxSs_MCDP6000_SetRegister().

void XDpRxSs_McDp6000_init | ( | void * | InstancePtr,
|  | u32 | I2CAddress
| ) |  |

This routine initializes the MCDP6000 part on the VFMC card used for DP 1.4.

Parameters

  InstancePtr | is a pointer to the XDpRxSs core instance.

Returns
  None.

Note
  None.

References XDpRxSs::IicPtr, XDpRxSs_MCDP6000_DpInit(), and XDPRXSS_MCDP6000_IIC_SLAVE.

int XDpRxSs_MCDP6000_ModifyRegister | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress,
|  | u16 | RegisterAddress,
|  | u32 | Value,
|  | u32 | Mask
| ) |  |

This function modifies a single 32b word from the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  RegisterAddress | is the 16-bit register address.
  Value | is the 32b word to write
  Mask | is the 32b mask

Returns
  - XST_SUCCESS Modification was successful.
  - XST_FAILURE I2C write error.

Note
  None.

References XDpRxSs_MCDP6000_GetRegister(), and XDpRxSs_MCDP6000_SetRegister().

Referenced by XDpRxSs_MCDP6000_BWchange().

int XDpRxSs_MCDP6000_Read_ErrorCounters | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function reads error counters for all lanes.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Enable request was successful.
  - XST_FAILURE I2C error.

Note
  None.

References XDpRxSs_MCDP6000_GetRegister(), and XDpRxSs_MCDP6000_SetRegister().

Referenced by DpRxSs_AccessErrorCounterHandler().

void XDpRxSs_MCDP6000_RegisterDump | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function displays a registerdump of the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  None

Note
  None.

References XDpRxSs_MCDP6000_GetRegister().

int XDpRxSs_MCDP6000_ResetDpPath | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function requests a reset of the DP path of the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Reset request was successful.
  - XST_FAILURE I2C error.

Note
  None.

References XDpRxSs_MCDP6000_SetRegister().

int XDpRxSs_MCDP6000_SetRegister | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress,
|  | u16 | RegisterAddress,
|  | u32 | Value
| ) |  |

This function writes a single 32b word to the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  RegisterAddress | is the 16-bit register address.
  Value | is the 32b word to write

Returns
  - XST_SUCCESS Register write was successful.
  - XST_FAILURE I2C write error.

Note
  None.

Referenced by XDpRxSs_MCDP6000_AccessLaneSet(), XDpRxSs_MCDP6000_ClearCounter(), XDpRxSs_MCDP6000_DisablePrbs7_Rx(), XDpRxSs_MCDP6000_DpInit(), XDpRxSs_MCDP6000_EnableCounter(), XDpRxSs_MCDP6000_EnablePrbs7_Rx(), XDpRxSs_MCDP6000_EnablePrbs7_Tx(), XDpRxSs_MCDP6000_IbertInit(), XDpRxSs_MCDP6000_ModifyRegister(), XDpRxSs_MCDP6000_Read_ErrorCounters(), XDpRxSs_MCDP6000_ResetDpPath(), and XDpRxSs_MCDP6000_TransparentMode().

int XDpRxSs_MCDP6000_TransparentMode | ( | u32 | I2CBaseAddress,
|  | u8 | I2CSlaveAddress
| ) |  |

This function sets the transparent mode of the MCDP6000 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS transparent mode was set.
  - XST_FAILURE setting transparent mode failed.

Note
  None.

References XDpRxSs_MCDP6000_SetRegister().

void XDpRxSs_Reset | ( | XDpRxSs * | InstancePtr | ) |

This function resets the DisplayPort Receiver Subsystem including all sub-cores.

Parameters

  InstancePtr | is a pointer to the XDpRxSs core instance.

Returns
  None.

Note
  IIC needs to be reinitialized after reset.

References XDpRxSs::Config, XDpRxSs::DpPtr, XDpRxSs_Config::HdcpEnable, XDpRxSs::IicPtr, and XDpRxSs_WriteReg.

u32 XDpRxSs_SetLaneCount | ( | XDpRxSs * | InstancePtr,
|  | u8 | LaneCount
| ) |  |

This function sets the number of lanes to be used by DisplayPort RX Subsystem core.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.
  LaneCount | is the number of lanes to be used. 1 = XDPRXSS_LANE_COUNT_SET_1 2 = XDPRXSS_LANE_COUNT_SET_2 4 = XDPRXSS_LANE_COUNT_SET_4

Returns
  - XST_SUCCESS if setting the new lane count was successful.
  - XST_FAILURE otherwise.

Note
  None.

References XDpRxSs::DpPtr, XDpRxSs_UsrOpt::LaneCount, XDpRxSs::UsrOpt, XDPRXSS_LANE_COUNT_SET_1, XDPRXSS_LANE_COUNT_SET_2, and XDPRXSS_LANE_COUNT_SET_4.

Referenced by DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), DpRxSs_MstExample(), and hpd_con().

u32 XDpRxSs_SetLinkRate | ( | XDpRxSs * | InstancePtr,
|  | u8 | LinkRate
| ) |  |

This function sets the data rate to be used by the DisplayPort RX Subsystem core.

Parameters

  InstancePtr | is a pointer to the XDpRxSs instance.
  LinkRate | is the rate at which link needs to be driven. XDPRXSS_LINK_BW_SET_162GBPS = 0x06(for a 1.62 Gbps data rate) XDPRXSS_LINK_BW_SET_270GBPS = 0x0A(for a 2.70 Gbps data rate) XDPRXSS_LINK_BW_SET_540GBPS = 0x14(for a 5.40 Gbps data rate)

Returns
  - XST_SUCCESS if setting the new lane rate was successful.
  - XST_FAILURE otherwise.

Note
  None.

References XDpRxSs::DpPtr, XDpRxSs_UsrOpt::LinkRate, XDpRxSs::UsrOpt, XDPRXSS_LINK_BW_SET_162GBPS, XDPRXSS_LINK_BW_SET_270GBPS, XDPRXSS_LINK_BW_SET_540GBPS, and XDPRXSS_LINK_BW_SET_810GBPS.

Referenced by DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), DpRxSs_MstExample(), and hpd_con().

void XDpRxSs_SetUserPixelWidth | ( | XDpRxSs * | InstancePtr,
|  | u8 | UserPixelWidth
| ) |  |

This function configures the number of pixels output through the user data interface.

Parameters

  InstancePtr | is a pointer to the XDpRxSs core instance.
  UserPixelWidth | is the user pixel width to be configured.

Returns
  None.

Note
  None.

References XDpRxSs::DpPtr.

u32 XDpRxSs_Start | ( | XDpRxSs * | InstancePtr | ) |

This function starts the DisplayPort Receiver Subsystem including all sub-cores.

Parameters

  InstancePtr | is a pointer to the XDpRxSs core instance.

Returns
  - XST_SUCCESS, if DP RX Subsystem and its included sub-cores configured successfully.
  - XST_FAILURE, otherwise.

Note
  None.

References XDpRxSs::DpPtr, XDpRxSs_UsrOpt::MstSupport, and XDpRxSs::UsrOpt.

Referenced by DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), and DpRxSs_MstExample().